E: Unable to locate package liburing-dev on Ubuntu 22.04

in LeoFinance11 months ago

There could be this error regarding liburing-dev while attempting to build Hive on Ubuntu 22.04

E: Unable to locate package liburing-dev

I had this weird problem which didn't get fixed by various things like dist-upgrade. The reason was that Ubuntu 22.04 has 2 release versions "Jammy Jellyfish" and "Focal Fossa". Somehow I was not aware of this and my /etc/apt/sources.list file on the primary node was from Jammy Jellyfish.

If anyone faces the same issue, just upgrade the Jammy Jellyfish to the one from Focal Fossa & run apt update ; apt dist-upgrade and all the dependencies will get installed smoothly.